# module Tk::WinRegistry

### Constants

TkCommandNames

### Public Class Methods

delete(keynam, valnam=None) click to toggle source

    # File lib/tk/winpkg.rb, line 122
    def delete(keynam, valnam=None)
      tk_call('registry', 'delete', keynam, valnam)
    end

get(keynam, valnam) click to toggle source

    # File lib/tk/winpkg.rb, line 126
    def get(keynam, valnam)
      tk_call('registry', 'get', keynam, valnam)
    end

keys(keynam, pattern=nil) click to toggle source

    # File lib/tk/winpkg.rb, line 130
    def keys(keynam, pattern=nil)
      lst = tk_split_simplelist(tk_call('registry', 'keys', keynam))
      if pattern
        lst.find_all{|key| key =~ pattern}
      else
        lst
      end
    end

set(keynam, valnam=None, data=None, dattype=None) click to toggle source

    # File lib/tk/winpkg.rb, line 139
    def set(keynam, valnam=None, data=None, dattype=None)
      tk_call('registry', 'set', keynam, valnam, data, dattype)
    end

type(keynam, valnam) click to toggle source

    # File lib/tk/winpkg.rb, line 143
    def type(keynam, valnam)
      tk_call('registry', 'type', keynam, valnam)
    end

values(keynam, pattern=nil) click to toggle source

    # File lib/tk/winpkg.rb, line 147
    def values(keynam, pattern=nil)
      lst = tk_split_simplelist(tk_call('registry', 'values', keynam))
      if pattern
        lst.find_all{|val| val =~ pattern}
      else
        lst
      end
    end

### Public Instance Methods

broadcast(keynam, timeout=nil) click to toggle source

    # File lib/tk/winpkg.rb, line 114
    def broadcast(keynam, timeout=nil)
      if timeout
        tk_call('registry', 'broadcast', keynam, '-timeout', timeout)
      else
        tk_call('registry', 'broadcast', keynam)
      end
    end

### Private Instance Methods

delete(keynam, valnam=None) click to toggle source

    # File lib/tk/winpkg.rb, line 122
    def delete(keynam, valnam=None)
      tk_call('registry', 'delete', keynam, valnam)
    end

get(keynam, valnam) click to toggle source

    # File lib/tk/winpkg.rb, line 126
    def get(keynam, valnam)
      tk_call('registry', 'get', keynam, valnam)
    end

keys(keynam, pattern=nil) click to toggle source

    # File lib/tk/winpkg.rb, line 130
    def keys(keynam, pattern=nil)
      lst = tk_split_simplelist(tk_call('registry', 'keys', keynam))
      if pattern
        lst.find_all{|key| key =~ pattern}
      else
        lst
      end
    end

set(keynam, valnam=None, data=None, dattype=None) click to toggle source

    # File lib/tk/winpkg.rb, line 139
    def set(keynam, valnam=None, data=None, dattype=None)
      tk_call('registry', 'set', keynam, valnam, data, dattype)
    end

type(keynam, valnam) click to toggle source

    # File lib/tk/winpkg.rb, line 143
    def type(keynam, valnam)
      tk_call('registry', 'type', keynam, valnam)
    end

values(keynam, pattern=nil) click to toggle source

    # File lib/tk/winpkg.rb, line 147
    def values(keynam, pattern=nil)
      lst = tk_split_simplelist(tk_call('registry', 'values', keynam))
      if pattern
        lst.find_all{|val| val =~ pattern}
      else
        lst
      end
    end